# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name MonadCatchIO-mtl

# common part of summary for all the subpackages
%global common_summary Monad-transformer for Control.Exception

# main description used for all the subpackages
%global common_description Provides a monad-transformer version of the \
@Control.Exception.catch@ function. For this, it defines the \
@MonadCatchIO@ class, a subset of @MonadIO@. It defines \
proper instances for most monad transformers in the 'mtl' \
library.

Name:           ghc-%{pkg_name}
Version:        0.3.0.4
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-mtl-prof, ghc-extensible-exceptions-prof

%description
%{common_description}

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install

%ghc_lib_install

# define the devel and prof subpkgs, devel post[un] scripts, and filelists:
# ghc-MonadCatchIO-mtl{,-devel,-prof}.files
%ghc_lib_package

%changelog
* Mon Aug 22 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.3.0.4-1
- Updated to upstream 0.3.0.4.

* Fri Jun 24 2011 Jens Petersen <petersen@redhat.com> - 0.3.0.3-3
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Sun Jun 12 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.3.0.3-2
- Updated to cabal2spec-0.22.7.

* Fri Jun 10 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.3.0.3-1
- Updated to upstream 0.3.0.3.

* Sat May 28 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.3.0.2-1
- Updated to upstream 0.3.0.2.

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.0.1-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.3.0.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
